Уязвимость BDU:2021-00773

Дата: 04.07.2020. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2021-00773.

Наименование уязвимости: Уязвимость реализации класса ZlibDecoders сетевого программного средства Netty, позволяющая нарушителю оказать воздействие на конфиденциальность, целостность и доступность защищаемой информации.

Описание уязвимости: Уязвимость реализации класса ZlibDecoders сетевого программного средства Netty связана с неконтролируемым расходом ресурсов. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, оказать воздействие на конфиденциальность, целостность и доступность защищаемой информации
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Сетевое программное средство Oracle Corp. WebCenter Portal 12.2.1.3.0 | Операционная система Debian GNU/Linux 9.0 | Операционная система Debian GNU/Linux 10 | Сетевое программное средство Oracle Corp. WebCenter Portal 12.2.1.4.0 | Прикладное ПО информационных систем Oracle Corp. Oracle Communications Messaging Server 8.1.0 | Операционная система Fedora Project Fedora 33 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Corporate Lending от 14.0.0 до 14.4.0 включительно | Прикладное ПО информационных систем Oracle Corp. Oracle FLEXCUBE Universal Banking от 14.0.0 до 14.4.0 включительно | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Liquidity Management от 14.0.0 до 14.4.0 включительно | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Credit Facilities Process Management 14.1.0 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Credit Facilities Process Management 14.3.0 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Credit Facilities Process Management 14.4.0 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Payments 14.4.0 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Supply Chain Finance от 14.2.0 до 14.4.0 включительно | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Trade Finance Process Management 14.1.0 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Trade Finance Process Management 14.3.0 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Trade Finance Process Management 14.4.0 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Virtual Account Management 14.1.0 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Virtual Account Management 14.3.0 | Прикладное ПО информационных систем Oracle Corp. Oracle Banking Virtual Account Management 14.4.0 | Сетевое программное средство Apache Software Foundation netty от 4.1 до 4.1.46 | СУБД Oracle Corp. NoSQL Database до 20.3 | Прикладное ПО информационных систем Oracle Corp. Oracle Communications Design Studio 7.4.2 | Операционная система ООО «РусБИТех-Астра» Astra Linux Special Edition 1.7 | Операционная система АО «НППКТ» ОСОН ОСнова Оnyx до 2.1 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1804 LTS | Debian GNU/Linux 90 | Debian GNU/Linux 10 | Fedora 33 | Astra Linux Special Edition 17 |
Дата выявления: 04.07.2020.
CVSS 2.0: AV:N/AC:L/Au:N/C:C/I:C/A:C
Уровень опасности уязвимости: Критический уровень опасности (базовая оценка CVSS 2.0 составляет 10)
Критический уровень опасности (базовая оценка CVSS 3.0 составляет 9,8)

Возможные меры по устранению:
Использование рекомендаций производителя:
Для netty:
https://github.com/netty/netty/issues/6168

Для программных продуктов Oracle Corp.:
https://www.oracle.com/security-alerts/cpujan2021.html
https://www.oracle.com/security-alerts/cpuapr2021.html

Для Debian GNU/Linux:
https://lists.debian.org/debian-lts-announce/2020/09/msg00003.html
https://security-tracker.debian.org/tracker/CVE-2020-11612

Для Fedora Project:
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/TS6VX7OMXPDJIU5LRGUAHRK6MENAVJ46/

Для Ubuntu:
https://usn.ubuntu.com/usn/usn-4600-2

Для ОС Astra Linux:
использование рекомендаций производителя: https://wiki.astralinux.ru/astra-linux-se17-bulletin-2021-1126SE17

Для ОСОН Основа:
Обновление программного обеспечения netty до версии 1:4.1.33-1+deb10u2.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2020-11612.

Тип ошибки CWE: CWE-119, CWE-400
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://www.oracle.com/security-alerts/cpujan2021.html
https://lists.debian.org/debian-lts-announce/2020/09/msg00003.html
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/TS6VX7OMXPDJIU5LRGUAHRK6MENAVJ46/
https://github.com/netty/netty/issues/6168
https://security-tracker.debian.org/tracker/CVE-2020-11612
https://www.oracle.com/security-alerts/cpuapr2021.html
https://wiki.astralinux.ru/astra-linux-se17-bulletin-2021-1126SE17
https://поддержка.нппкт.рф/bin/view/ОСнова/Обновления/2.1/

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *